<div class="background">
    <div class="container">
        <div class="row">
            <div class="col-md-3"></div>
            <div class="col-md-6 transbox mt-3">
                <div class="card mt-2 box">
                    <div class="card-header">
                        <h3>Sign up</h3>
                        <p style="color: grey;">Please fill in this form to create an account!</p>
                    </div>
                    <div class="card-body">
                        <form #ref="ngForm" (ngSubmit)="formData(ref.value);ref.reset()">
                            <div class="table-responsive-md">
                                <table class="table table-borderless">
                                    <tr>
                                        <td>
                                            <input type="text" name="firstname" id="" placeholder="First Name" class="form-control" ngModel>
                                        </td>
                                        <td>
                                            <input type="text" name="lastname" id="" placeholder="Last Name" class="form-control" ngModel>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">
                                            <input type="email" name="email" id="" placeholder="abc@gmail.com" class="form-control" ngModel>
                                        </td>
                                    </tr>
                                    <!-- <tr>
                                        <td colspan="2">
                                            <input type="password" name="" id="" placeholder="Password" class="form-control">
                                        </td>
                                    </tr> -->
                                    <tr>
                                        <td colspan="2">
                                            <div class="input-group">
                                                <div class="input-group-prepend">
                                                    <select name="" id="" class="form-control">
                                                        <option value="" *ngFor="let i of countrycode">{{i.dial_code}}</option>
                                                    </select>
                                                </div>
                                                <input type="tel" name="mobilenumber" id="" placeholder="Mobile Number" class="form-control" ngModel maxlength="10">
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">
                                            <input type="password" name="password1" id="" class="form-control" placeholder="Password" ngModel>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">
                                            <input type="password" name="password2" id="" class="form-control" placeholder="Confirm Password" ngModel>
                                        </td>
                                    </tr>
                                    <!-- <tr>
                                        <td>
                                            <label for="">Gender</label>
                                        </td>
                                        <td>
                                            <input type="radio" name="gender" id="">
                                            <label for="">Male</label>
                                            <input type="radio" name="gender" id="">
                                            <label for="">Male</label>
                                            <input type="radio" name="gender" id="">
                                            <label for="">Male</label>
                                        </td>
                                    </tr> -->
                                </table>
                            </div>
                            <button type="submit" class="btn btn-md btn-danger">Register</button>
                        </form>
                    </div>
                </div>
            </div>
            <div class="col-md-3"></div>
        </div>
    </div>
</div>